function vdua --wraps='git add (git diff --name-only --diff-filter=U)' --description 'Add unmerged files'
    if not test -d .git
        echo "Not a git repository"
        return 0
    end

    git add (git diff --name-only --diff-filter=U) $argv
end
